Bug 1653308 - Please update vagrant-libvirt
Summary: Please update vagrant-libvirt
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: vagrant-libvirt
Version: 29
Hardware: noarch
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Pavel Valena
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 14:06 UTC by daniel-wtd
Modified: 2019-11-27 20:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:01:10 UTC


Attachments (Terms of Use)

Description daniel-wtd 2018-11-26 14:06:06 UTC
Description of problem:

Vagrant and some of its dependencies seem to be outdated / quite old.

Version-Release number of selected component (if applicable):

vagrant-2.1.2-3.fc29.noarch
vagrant-libvirt-0.0.40-5.fc29.noarch

How reproducible:

dnf info vagrant
dnf info vrangrant-libvirt

Actual results:

Getting the mentioned versions.

Expected results:

You can find the current releases on github. For me, the 
vagrant-libvirt 0.0.45 seems quite important. It introduces a way to have vagrant running in user sessions (qemu:///session).

Links: https://github.com/hashicorp/vagrant/releases
Links: https://github.com/vagrant-libvirt/vagrant-libvirt

Comment 1 Pavel Valena 2018-11-26 15:59:35 UTC
Hello Daniel,

actually, regarding vagrant itself, we do not do major version updates in stable Fedora. So v2.1.5, the one currently in Rawhide, could be the the version to aim for. Feel free to create a PR[0] for that, as I'm not sure when I'll get free cycles. (There isn't even 2.2.x.)

If you really want to have bleeding edge system, you can give Fedora Rawhide a try. Alternatively, if youre only interested in Vagrant, you check check my COPR[1] with Rawhide-version Vagrant builds.

--

Regarding vagrant-libvirt, I'll take a look into upgrading that, but it needs a lot of testing, so I'd be glad if you could help with that(feel free to submit PR too, if it isn't there already[2]).

Regards,
Pavel

[0] https://src.fedoraproject.org/rpms/vagrant/pull-requests
[1] https://copr.fedorainfracloud.org/coprs/pvalena/vagrant/
[2] https://src.fedoraproject.org/rpms/vagrant-libvirt/pull-requests

Comment 2 Ben Cotton 2019-10-31 20:27:47 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 20:01:10 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.